Subject: Re: metastore (was: Track /etc directory using Git)

From: Jan Hudec <[email-masked]>
Date: Sun, 16 Sep 2007 17:59:13 +0200

On Sat, Sep 15, 2007 at 18:30:53 -0700, [email-masked] wrote:
> 1. whatever is trying to write the files with the correct permissions
>    needs to be able to query the permission store before files are
>    written. This needs to either be an API call into git to retreive the
>    information for any file when it's written, or the ability to define a
>    specific file to be checked out first so that it can be used for
>    everything else.

You seem to be forgetting about the index. Git never writes trees directly to
filesystem, but always with intermediate step in the index. So the API
actually exists -- simply read from the index.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>